<?PHP

global $AF, $SPT_DBUserName, $SPT_DBPassword, $SPT_DBHost;

if (isset($_GET["D"]) && isset($_GET["C"]) &&
    md5($_GET["D"].$SPT_DBUserName.$SPT_DBPassword.$SPT_DBHost) == $_GET["C"])
{
    $Response = unserialize( gzinflate( base64_decode( $_GET["D"] )));

    if (isset($Response["ErrorMessage"]))
    {
        $ErrorMessages []= $Response["ErrorMessage"];
    }

    global $UrlParams;

    $UrlParams = "D=".urlencode($_GET["D"])."&C=".$_GET["C"];
}
else
{
    $AF->SetJumpToPage("Home");
}

?>